FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2018 PLD Team
$Revision: 1.37 $
Powered by DWARF.
Your IP: 54.225.57.230

ruby-RMagick d14dc988-07bf-4f5b-90d7-fc849b280fe7

Status:Failed
Source URL:ftp://buildlogs.pld-linux.org/th/x86_64/FAIL/ruby-RMagick,d14dc988-07bf-4f5b-90d7-fc849b280fe7.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2018/06/03 10:08:03
Runtime:0:00:01.075242

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356
  • build
  • Executing(%build): /bin/sh -e /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356
  • error 3
  • error: Bad exit status from /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356 (%build)
  • error 4
  • RPM build errors:
  • error 5
  • error: No files produced.

Content:

request from: baggins
checking if we should skip the build
started at: Sun Jun  3 10:07:48 2018
killing old processes on a builder
mesg: ttyname failed: Inappropriate ioctl for device
sending signal 9 to pid -1
Killed
fetching https://srcbuilder.pld-linux.org/th//srpms/d14dc988-07bf-4f5b-90d7-fc849b280fe7/ruby-RMagick-2.16.0-5.src.rpm
fetched 1562680 bytes, 2565.0 K/s
installing srpm: ruby-RMagick-2.16.0-5.src.rpm
mesg: ttyname failed: Inappropriate ioctl for device
+ install -d /tmp/B.7x9IWX/BUILD /tmp/B.7x9IWX/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog ruby-RMagick-2.16.0-5.src.rpm
* Sun Jun 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-RMagick.git;a=log;h=master
* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 18b3120
- release 5 (by relup.sh) * Sun Nov 12 2017 Jan Rękorajski <baggins@pld-linux.org> 0440f68
- disable tests (test loader broken on ruby 2.3) - rel 4 * Fri Oct 27 2017 Elan Ruusamäe <glen@delfi.ee> ac9d822
- update BR deps * Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 096e6d6
- add tests and doc bcond * Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> ecd9015
- rebuild with ruby 2.3 - release 3 (by relup.sh) * Tue Jun 06 2017 Jan Rękorajski <baggins@pld-linux.org> 4d470cf
- release 2 (by relup.sh) * Mon Jun 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 5c15237
- unified examples dir - package LICENSE - don't package CONTRIBUTING (contributors already have sources) + rpm -Uhv --nodeps --define '_topdir /tmp/B.7x9IWX' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' ruby-RMagick-2.16.0-5.src.rpm Preparing... ################################################## ruby-RMagick ################################################## + rm -f ruby-RMagick-2.16.0-5.src.rpm mesg: ttyname failed: Inappropriate ioctl for device + install -m 700 -d /tmp/B.7x9IWX/BUILD/tmp mesg: ttyname failed: Inappropriate ioctl for device + TMPDIR=/tmp/B.7x9IWX/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.7x9IWX' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.7x9IWX/ruby-RMagick.spec Building target platforms: x86_64-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: ImageMagick6-devel >= 1:6.7.0.7-2 is needed by ruby-RMagick-2.16.0-5.src rpm: ImageMagick6-devel is needed by ruby-RMagick-2.16.0-5.src rpm: Building target platforms: x86_64-pld-linux updating poldek cache... ready is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-test::packages.ndir.md... th-test is up to date Retrieving th-test::packages.ndir.md... th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 27781 packages read poldek: Removed 943 duplicate packages from available set poldek: Processing dependencies... poldek: There are 1 package to install: poldek: I ImageMagick6-devel-6.9.9.26-1.x86_64 poldek: This operation will use 535.7KB of disk space. poldek: Need to get 87.6KB of archives (87.6KB to download). poldek: poldek: Retrieving th::ImageMagick6-devel-6.9.9.26-1.x86_64.rpm... poldek: ..............................done poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1... poldek: Preparing... ################################################## no conflicts found checking BR rpm: error: Failed build dependencies: rpm: ImageMagick6-devel >= 1:6.7.0.7-2 is needed by ruby-RMagick-2.16.0-5.src rpm: ImageMagick6-devel is needed by ruby-RMagick-2.16.0-5.src rpm: Building target platforms: x86_64-pld-linux installing BR: ImageMagick6\-devel + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' --upgrade ImageMagick6-devel Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 27781 packages read Removed 943 duplicate packages from available set Processing dependencies... There are 1 package to install: I ImageMagick6-devel-6.9.9.26-1.x86_64 This operation will use 535.7KB of disk space. Need to get 87.6KB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## ImageMagick6-devel ################################################## building RPM using: set -ex; : build-id: d14dc988-07bf-4f5b-90d7-fc849b280fe7; TMPDIR=/tmp/B.7x9IWX/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.7x9IWX' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.7x9IWX/ruby-RMagick.spec mesg: ttyname failed: Inappropriate ioctl for device + : build-id: d14dc988-07bf-4f5b-90d7-fc849b280fe7 + TMPDIR=/tmp/B.7x9IWX/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.7x9IWX' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.7x9IWX/ruby-RMagick.spec Building target platforms: x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356 + umask 022 + cd /tmp/B.7x9IWX/BUILD + cd /tmp/B.7x9IWX/BUILD + rm -rf RMagick-2.16.0 + /bin/mkdir -p RMagick-2.16.0 + cd RMagick-2.16.0 + /bin/tar -xmf /tmp/B.7x9IWX/rmagick-2.16.0.gem + '[' -f data.tar.gz ']' + tar -xmf data.tar.gz + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + echo 'Patch #0 (no-gem.patch):' Patch #0 (no-gem.patch): + '[' -f /tmp/B.7x9IWX/no-gem.patch ']' + /bin/cat /tmp/B.7x9IWX/no-gem.patch + /usr/bin/patch -s -p1 + echo 'Patch #1 (disable-tests.patch):' Patch #1 (disable-tests.patch): + '[' -f /tmp/B.7x9IWX/disable-tests.patch ']' + /bin/cat /tmp/B.7x9IWX/disable-tests.patch + /usr/bin/patch -s -p1 + echo 'Patch #2 (no-git.patch):' Patch #2 (no-git.patch): + '[' -f /tmp/B.7x9IWX/no-git.patch ']' + /bin/cat /tmp/B.7x9IWX/no-git.patch + /usr/bin/patch -s -p1 + echo 'Patch #3 (magick6.patch):' Patch #3 (magick6.patch): + '[' -f /tmp/B.7x9IWX/magick6.patch ']' + /bin/cat /tmp/B.7x9IWX/magick6.patch + /usr/bin/patch -s -p1 + /bin/rm '--interactive=never' spec/rmagick/draw_spec.rb + exit 0 Executing(%build): /bin/sh -e /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356 TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/usr/local/bin:/usr/bin:/bin:/home/users/builder/bin TMPDIR=/tmp/B.7x9IWX/BUILD/tmp + umask 022 + cd /tmp/B.7x9IWX/BUILD + cd RMagick-2.16.0 + /usr/lib/rpm/gem_helper.rb spec /usr/share/gems/gems/psych-2.2.2/lib/psych.rb:228: warning: already initialized constant Psych::LIBYAML_VERSION /usr/share/ruby/2.4/psych.rb:228: warning: previous definition of LIBYAML_VERSION was here /usr/share/gems/gems/psych-2.2.2/lib/psych.rb:230: warning: already initialized constant Psych::FALLBACK /usr/share/ruby/2.4/psych.rb:230: warning: previous definition of FALLBACK was here Wrote: rmagick-2.16.0.gemspec + ruby -r rubygems -e $'spec = eval(File.read("rmagick.gemspec"))\n\tFile.open("RMagick-2.16.0.gemspec", "w") do |file|\n\tfile.puts spec.to_ruby_for_cache\nend' + rake compile 'CC=x86_64-pld-linux-gcc' 'LDFLAGS=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' 'CFLAGS=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -fPIC -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -fPIC' /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356[46]: rake: can't execute: Permission denied error: Bad exit status from /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356 (%build) RPM build errors: Bad exit status from /tmp/B.7x9IWX/BUILD/tmp/rpm-tmp.21356 (%build) ended at: Sun Jun 3 10:08:03 2018, done in 0:00:01.075242 error: No files produced. mesg: ttyname failed: Inappropriate ioctl for device + chmod -R u+rwX /tmp/B.7x9IWX/BUILD + rm -rf /tmp/B.7x9IWX/tmp /tmp/B.7x9IWX/BUILD mesg: ttyname failed: Inappropriate ioctl for device + rm -rf /tmp/B.7x9IWX Begin-PLD-Builder-Info Build-Time: user:8.50s sys:1.28s real:14.78s (faults io:0 non-io:380479) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]